"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Department = void 0;
const react_1 = require("react");
const OrganizationType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "department",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props,
    }, children);
};
const Department = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "department",
        ...props,
    }, children);
};
exports.Department = Department;
Department.Organization = OrganizationType;
