"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiversityPolicy = void 0;
const react_1 = require("react");
const DiversityPolicy = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'diversityPolicy',
        ...props,
    }, children);
};
exports.DiversityPolicy = DiversityPolicy;
DiversityPolicy.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "diversityPolicy",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
DiversityPolicy.CreativeWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "diversityPolicy",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props
    }, children);
};
