"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Member = void 0;
const react_1 = require("react");
const Member = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'member',
        ...props,
    }, children);
};
exports.Member = Member;
Member.Person = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "member",
        itemScope: true,
        itemType: "https://schema.org/Person",
        ...props
    }, children);
};
Member.Organization = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "member",
        itemScope: true,
        itemType: "https://schema.org/Organization",
        ...props
    }, children);
};
