"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Owns = void 0;
const react_1 = require("react");
const Owns = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'owns',
        ...props,
    }, children);
};
exports.Owns = Owns;
Owns.OwnershipInfo = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "owns",
        itemScope: true,
        itemType: "https://schema.org/OwnershipInfo",
        ...props
    }, children);
};
Owns.Product = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "owns",
        itemScope: true,
        itemType: "https://schema.org/Product",
        ...props
    }, children);
};
