"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnnamedSourcesPolicy = void 0;
const react_1 = require("react");
const UnnamedSourcesPolicy = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'unnamedSourcesPolicy',
        ...props,
    }, children);
};
exports.UnnamedSourcesPolicy = UnnamedSourcesPolicy;
UnnamedSourcesPolicy.URL = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "unnamedSourcesPolicy",
        itemScope: true,
        itemType: "https://schema.org/URL",
        ...props
    }, children);
};
UnnamedSourcesPolicy.CreativeWork = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: "unnamedSourcesPolicy",
        itemScope: true,
        itemType: "https://schema.org/CreativeWork",
        ...props
    }, children);
};
